Skip to main content

List providers

GET /providers/get/

What It Does​

Read the providers that can be assigned to services and reservations.

Authentication​

Requires an API token with the read scope. Send it as a bearer token or with the configured API key header.

Parameters​

This endpoint does not define query or path parameters.

Request Body​

This endpoint does not require a JSON request body.

Responses​

StatusMeaningDescriptionBody
200SuccessProvidersOkEnvelope + object
401Authentication requiredMissing or invalid API tokenWpRestError

Request Example​

curl -X GET "https://example.com/wp-json/thebooking/v1/API/providers/get/" \
-H "Authorization: Bearer $TBK_API_TOKEN"

Success Response Example​

{
"status": "OK",
"response": [
{
"id": 123,
"name": "Example name",
"email": "customer@example.com"
}
]
}